SSL:(1)

NAME
SSL: - manual page for SSL: TLS v1.2 not available, using default

SYNOPSIS
SpiderOakONE basic command line usage:

DESCRIPTION
SSL: TLS v1.2 not available, using default

OPTIONS

--version
    show program's version number and exit

-h, --help
    show this help message and exit

-v, --verbose
    Be verbose: show detailed status information as it happens.

--redirect=FILE
    Redirect console output to file.

-d DEVICE_NUMBER, --device=DEVICE_NUMBER
    Run the command for the specified device. Note that some commands are local only. Default is local device.

--shutdown
    Connect to a running instance and shut it down.

    Operational Modes and Commands:

--scan, --scan-only
    Scan the filesystem for changes and report a summary.

--build, --scan-and-build-only
    Scan the filesystem, and build all possible file system changes as shelved upload transactions, and exit without uploading them.

--sync
    Like batchmode, but only backup/update synced directories.

--backup=TARGET
    Ad hoc operation: back up whatever exists at TARGET in the filesystem and exit (ignores existing backup selection).

--batchmode
    Like headless, but will exit when all available work is done.

--headless
    Run in headless mode (without the graphical interface).

--purge=item
    Purge a directory or file (including historical versions).

--enable-schedule
    Honor the set activity schedule, even in batchmode (normally the schedule is ignored in batchmode).

--disable-schedule
    Disable activity scheduling.

    Information Commands:

--userinfo, --user-info
    Show user and device info.

--shelved-x, --print-shelved-x
    Show information about each shelved upload transaction.

--space
    Show space usage information by device.

--tree
    Show the hierarchy of stored backup directories.

--fulllist
    Show all directories and files stored on device.

--tree-changelog
    Show a log of how the hierarchy of stored backup directories has changed over time.

--journal-changelog=directory_or_journal_nbr
    Show the changelog of a given directory.

    Backup Selection Manipulation Commands:

--selection, --print-selection
    Show a list of selected and excluded backup items.

--reset-selection
    Reset selection (but preserve excluded files).

--exclude-file=EXCLUDE_FILE
    Exclude the given file from the selection.

--include-file=INCLUDE_FILE
    Include the given file in the selection.

--exclude-dir=EXCLUDE_DIR
    Exclude the given directory from the selection.

--include-dir=INCLUDE_DIR
    Include the given directory in the selection.

--force
    Do in/exclusion even if the path doesn't exist.

    Maintenance Commands:

--rebuild-reference-database
    Rebuild the SpiderOakONE reference database (can take awhile).

--destroy-shelved-x
    Clear the queue of all transactions, such as file uploads.

--repair
    Repair a local SpiderOakONE installation.

--purge-historical-versions
    Purge historical versions: "all": purge all historical versions of all files; "hM,dN,w": hourly for last M hours, daily for last N days, weekly thereafter (also accepts (m)onthly and (y)early); no option: hourly for last 24 hours, daily for last month, then weekly thereafter.

--purge-deleted-items=RETENTION_DAYS
    Purge deleted items older than specified number of days.

--vacuum
    Vacuum SpiderOakONE's local database (rebuilds indexes and reclaims local disk space).

--list-orphan-external-files
    List parent_id's of unreferenced external block files.

--orphans=ACTION
    Find or free unused database files. Use --orphans=help for more info.

    Account Commands:

--billing
    Print a secure link for billing access.

--rename-device=NEWNAME
    Rename the specified device with name NEWNAME.

--setup=SETUP_FILE
    Create or reinstall a device by reading parameters from the specified JSON file. Use --setup=- to be prompted interactively for parameters. Use --setup=help for more info.

    Share Commands:

--list-shares
    List shares.

--delete-share=ROOMKEY
    Delete the ShareRoom with the given RoomKey.

--share-single-file=FILE
    Creates a link to share the specified file.

    Restore Options:

--restore=item
    Restore a directory or file. Run "--restore help" for more info.

-o DIR, --output=DIR
    Target directory to restore items to (default is normal download directory).

--point-in-time=DATE
    Use this option together with --restore to restore data as stored at DATE. Use the following date format: YYYY-MM-DD[/HH:MM[:SS]]

--simulate
    Use this option together with --restore to simulate the download and list the files to download.

--get-held-metadata
    Retrieve metadata held by server according to policy.

SpiderOakONE v7.3.0.10224

SEE ALSO
The full documentation for SSL: is maintained as a Texinfo manual. If the info and SSL: programs are properly installed at your site, the command

    info SSL:

should give you access to the complete manual.